#include "tile_rotationDlg.h"

CTile_rotationDlg::CTile_rotationDlg(QWidget *parent, Qt::WindowFlags flags)
     : QDialog(parent, flags)

{
	ui.setupUi(this);

	rotationButtonGroup = new QButtonGroup;
    
	rotationButtonGroup->addButton(ui._0PushButton, TileRotation::_0Rotation);
	rotationButtonGroup->addButton(ui._90PushButton, TileRotation::_90Rotation);
	rotationButtonGroup->addButton(ui._180PushButton, TileRotation::_180Rotation);
	rotationButtonGroup->addButton(ui._270PushButton, TileRotation::_270Rotation);
}


int CTile_rotationDlg::getRotation(QWidget *parent, bool *ok, Qt::WindowFlags f)
{
    CTile_rotationDlg dlg(parent, f);
    bool accepted = (dlg.exec() == QDialog::Accepted);
    if (ok)
        *ok = accepted;
    return dlg.getCheckedRotation();
}